Subject: [Tsvwg] Comments on draft-morita-tsvwg-pps-01

From: "Geib, Ruediger" <[email-masked]>
Date: Tue, 4 Nov 2003 16:08:21 +0100

Hello Naotaka,

your revised and new PPS related draft are marked 
as TSV WG, but haven't been announced yet (at least I 
couldn't find an announcement in the archive). After 
reading both, I'm having some remarks, following below.

http://www.ietf.org/internet-drafts/draft-morita-tsvwg-pps-01.txt
http://www.ietf.org/internet-drafts/draft-morita-tsvwg-mfverify-00.txt

Remarks related to morita-tsvwg-pps-01:

While the draft is focused on terminals sending with 
variable rates, the edge traffic control seems to assume 
the peak rate as only parameter characterising the 
controlled traffic. Further, section 8.4 demands 
continuous sending of packets. Does that mean that 
terminals sending with variable rates are expected 
to continuosly create traffic at their peak rate if 
they desire to use PPS?

Your third draft "Measurable Forwarding: A New per-Hop 
Behavior (PHB)" wasn't listed in the "individual 
submissions" section. If IETF didn't accept it this time, 
a url to it would be useful as I think it helps 
understanding pps operation.

The framework could put more emphasis on the "stateless 
core" operation. This feature is a clear and very desirable 
benefit of PPS against other signaling modes. It is 
mentioned only once in section 4.2 so far.

I'll stop here and save minor and editorial comments for 
a time when there's a clearer view on the future of PPS 
within IETF.

Regards, Rüdiger

Rüdiger Geib
T-Systems
Systems Integration
Senior Expert, Technologiezentrum
Am Kavalleriesand 3, 64295 Darmstadt
Germany
Fon: +49 6151 832138
http://www.t-systems.com

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "Peterson, Jon" <[email-masked]>
Date: Tue, 4 Nov 2003 22:03:35 -0500

> understanding pps operation.

Just as an FYI - the IETF secretariat has been using some new tools for
managing Internet-Draft submissions for this IETF, and they're still
hammering out a few bugs. draft-morita-tsvwg-mfbhp-00 was submitted before
the deadline, and we're working to get it into the I-D repository ASAP.

Jon Peterson
NeuStar, Inc.

---

From: "MORITA, Naotaka" <[email-masked]>
Date: Wed, 05 Nov 2003 12:15:58 +0900

John,

Thank you for the confirmation.

 >the deadline, and we're working to get it into the I-D repository ASAP.

----------------------------------
Naotaka MORITA, Senior Research Engineer, Supervisor
Network Service Systems Laboratories
Information Sharing Laboratory Group
NTT
3-9-11, Midori-Cho, Musashino-Shi, Tokyo 180-8585 JAPAN
Tel. +81-422-59-7464, ISDN-Fax +81-422-60-4012
E-mail: [email-masked]
MSN messenger: [email-masked]
NTT home page: http://www.ntt.co.jp/about/e/index.html

---

From: "MORITA, Naotaka" <[email-masked]>
Date: Wed, 05 Nov 2003 13:08:21 +0900

Regarding PPS and MF-PHB, could someone give me any hints?

1) Real time video characterisctis
Are there any archive about real time (interactive) video?

2) Constant or Variable
I am personally collecting characteristics of interactive video traffic.
Some of them are quite flat and some of them are quite fluctuating.
Is it possible and reasonable to produce constant rate traffic
by adjusting picuture resolution or quality?

2) In the MF-PHB document, I describe a couple policer behaviors.
I know that there are some variants of the policer description.
Are there any reference in IETF?

3) In the MF-PHB document, I describe two-threshold policer and
two-rate policer.  I guess the two-threshold policer is similar
to single rate Two Rate Markder specified in RFC2697, but
is slightly different.  Are there any discussion about this kind of
new policers?

Naotaka

---

From: "MORITA, Naotaka" <[email-masked]>
Date: Fri, 07 Nov 2003 14:36:43 +0900

I thought I had replied to the TSV mailing list, not directly to Ruediger,
Naotaka
=======================

Ruediger,

Thank you very much for your comments.

 >http://www.ietf.org/internet-drafts/draft-morita-tsvwg-mfverify-00.txt

Actually I posted three documents.  Those are avilable now.
The most important one is
http://www.ietf.org/internet-drafts/draft-morita-tsvwg-mfphb-00.txt

 >to continuosly create traffic at their peak rate if

I need to check the consistency of the description.
Thanks.
For the edge, I assume peak reate policing per-flow basis.
But the source can be variable bit rate.

 >understanding pps operation.

Fortunately, this missing one is now on the web site.

 >mentioned only once in section 4.2 so far.

Thank you again.  That is the bottom line of this scheme.

 >a time when there's a clearer view on the future of PPS

If you make additional comments on MF-PHB according to the
last draft, I am happy.

Regards,
Naotaka

 >Regards, R$B—E(Biger
 >R$B—E(Biger Geib